# OpalConnection::StringOptions Class Reference

`#include <connection.h>`

## Public Member Functions

void | ExtractFromURL (PURL &url)

## Member Function Documentation

void OpalConnection::StringOptions::ExtractFromURL | ( | PURL & | url | ) |

Extract the parameters that start with "OPAL-XXX" from the URL and insert into the string options dictionary. The parameters are removed from the URL.

The documentation for this class was generated from the following file:

- connection.h